Page MenuHomePhabricator

[DO NOT USE] SSL related (tracking) [superseded by #HTTPS]
Closed, InvalidPublic

Description

Tracking for secure server issues.


Version: unspecified
Severity: enhancement

Details

Reference
bz27946

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:26 PM
bzimport set Reference to bz27946.
bzimport added a subscriber: Unknown Object (MLST).

Should this be resolved now that the secure server is deprecated, everything turned into redirects to the proper domains, etc.?

"secure server issues" description is vague (in case that it was meant to only refer to https://secure.*), so this report now also has issues about SSL and https:// on *any* servers.

p858snake: Please clarify.

Yes, Previously it was based on the "secure" cluster before it was deprecated and replaced with the current setup, But based on the current list of open depends it's quiet clear that this bug has easily evolved it self to handle the current system.

I'm not sure why anyone would consider closing a tracking bug with approx. 10 open bugs attached

(In reply to comment #3)

I'm not sure why anyone would consider closing a tracking bug with approx. 10
open bugs attached

We have an "SSL related" component which I think is better than a tracking bug.

(In reply to comment #4)

(In reply to comment #3)

I'm not sure why anyone would consider closing a tracking bug with approx. 10
open bugs attached

We have an "SSL related" component which I think is better than a tracking
bug.

Which, If you have looked they aren't all in.

Bug 33890 comment 26 has some medium-term information by Faidon ("There is going to be most likely a quarterly SSL/SPDY goal").

chasemp closed this task as Resolved.Jan 8 2015, 6:40 PM
chasemp claimed this task.

resolving this in favor of HTTPS

Restricted Application added a project: Traffic. · View Herald TranscriptApr 29 2016, 1:28 PM
Restricted Application added a project: Operations. · View Herald TranscriptJul 10 2016, 1:30 AM
Phabricator_maintenance removed subtasks: T43022: Preserve login status when switching protocols (HTTP and HTTPS), T75644: Payment processor website uses RC4 for https encryption, T76562: Chrome warns about insecure certificate on gerrit.wikimedia.org, T60292: Enable HTTPS for dumps.wikimedia.org, download.wikimedia.org and releases.wikimedia.org, T55379: unchecking "Always use a secure connection when logged in" leaves forceHTTPS cookie set, T51698: When uploading from Flickr, unencrypted XHRs are sent from client to Flickr despite being on https://, T54949: Use "https:" on keywords description, T53002: Point rel=canonical to HTTPS on every page, T49832: Force all Wikimedia cluster traffic to be over SSL for all users (logged-in and anon), T47765: Firefox search bar not using Secure search, T49276: wikimediafoundation.org should be HTTPS-only, T55636: text input history/autocomplete doesn't work with HTTPS under IE8-10, T50402: rel=canonical of https pages should point to http, T55526: Recent Changes IRC feed should link to the HTTPS diff, T50133: ForeignAPIRepo wrongly returns non-protocol-relative URLs for original "thumbs", T41676: Links in MediaWiki emails should respect the user's https preference, T38456: Native "force https" option, T41380: Set $wgSecureLogin = true; on Wikimedia wikis, T34769: Notification emails should link to https, not http, T31410: Provide article links to secure counterparts, T29622: Setup internal wikis as https only, T31014: Disable SSLv2 on secure.wikimedia.org, T31008: Provide HTTPS links in CodeReview emails, T29448: meta:Special:BannerLoader is loaded using http protocol when using secure server (https), T32560: Bugzilla links to Wikipedia and to MW revisions should use secure server, T35890: Support SPDY, T32329: SSL termination gateway can't handle large-ish uploads, T32294: CSS @import should support relative urls on secure server, T25559: Secure Server 404 Error Message: Did you mean URL is wrong, T28971: Thumbnail generation for private wikis on https://secure.wikimedia.org/ is broken, T27271: 502 proxy error on Secure server, T23514: IPv6 on secure.wikimedia.org, T31981: Location: redirects on https sites always point to http sites, T31977: Description url in imageinfo outputs protocol relative urls, T31898: User preference for enforcing HTTPS, T33563: https://secure.wikimedia.org should redirect to the new same-domain SSL sites, T31878: Resolution of protocol-independent wgServer for email messages should not be dependent on the performer's url protocol, T33539: Use protocol relative URLs on wgUploadNavigationUrl, T33531: Create {{SERVERPROTOCOL}} or {{SECURESERVER}} variable for http/https detection, T24982: Secure server returns proxy errors, T33437: https://www.mediawiki.org/xml/api/ shouldn't have links to http, T29968: JavaScript (geoip lookups) included via plain HTTP on HTTPS sites, T29912: status.wikimedia.org should include the status of the secure gateway, T29909: SSL RSA keys should be at least 2048 bits, T33369: Non-canonical HTTPS URLs quietly redirect to HTTP, T21587: secure.wikimedia.org speed and status, T33334: Secure https://en.wikipedia.org/ redirects to insecure http://en.m.wikipedia.org/ on mobile, T33335: Rename wikis with multiple subdomains, T33333: No SSL for MobileFrontend m. domain: https://en.m.wikipedia.org/ does not respond, T33327: Make default interwiki map links protocol-relative, T33323: Mandate only-SSL for accounts with access to private information, T21429: secure links in email notification, T18302: Inaccurate links from old versions of articles on secure.wikimedia.org, T26332: OpenSSL on secure.wikimedia.org is possibly vulnerable to CVE-2009-3555, T22643: Serve SSL/HTTPS sites out of same domain names as HTTP access: https://en.wikipedia.org/, T22454: Separate 'inverted' favicons for secure sites, T7440: secure.wikimedia.org has interwiki links to insecure sites, T20496: Non-secure logos on secure pages, T18822: Provide SSL/HTTPS interface to upload.wikimedia.org and use it for SSL-served pages, T2225: Secure login on Wikimedia wikis via SSL.Aug 5 2016, 11:41 AM
Danny_B renamed this task from SSL related (tracking) to [DO NOT USE] SSL related (tracking) [superseded by #HTTPS].Aug 5 2016, 11:42 AM
Danny_B changed the task status from Resolved to Invalid.
Danny_B removed chasemp as the assignee of this task.
Danny_B lowered the priority of this task from Normal to Lowest.
Danny_B removed projects: Operations, Traffic.
Danny_B removed a subscriber: wikibugs-l-list.
Restricted Application added a project: Traffic. · View Herald TranscriptAug 5 2016, 11:42 AM
Restricted Application added a project: Operations. · View Herald TranscriptAug 5 2016, 11:43 AM
Danny_B removed a subscriber: Danny_B.Aug 5 2016, 2:11 PM